Subject: [DNA] Landmark Options variable size?

From: Greg Daley <[email-masked]>
Date: Thu, 30 Jun 2005 15:08:22 +1000

Hi,

In my implementation I overlooked the fact that Landmark options are
supposed to be 16 octets if the prefix length is less than 64, and
24 octets otherwise.

Currently the format for the DNA option is 16 (+1 for plen) octets per
prefix, using DNA option variant 1
(http://webcamserver.eng.monash.edu.au/~warchive/dna/2005-05/msg00063.html)

Should the existing landmark option format also be fixed size: 24 octets
(16 of which are prefix)?

There's a possibility we need to revisit the DNAO format because of
this.

I'd like to get peoples' impressions.

Greg